<?
require 'class.phpmailer.php';

    $correo_cliente ='facturas_dte@softco.cl';
    $razon = 'Correo Status FE';
	$doctos="(salida.tipo_dcto=33 OR salida.tipo_dcto=56 OR salida.tipo_dcto=61  OR salida.tipo_dcto=34  OR salida.tipo_dcto=110  OR salida.tipo_dcto=111  OR salida.tipo_dcto=112)";
	$desde='2019/07/31';
	$hasta=date(Y)."/".date(m)."/".date(d);	

//**************** enlace BD Correo y Status*******
$enlace_correo = mysql_connect("192.168.0.9","mcaceres","mlcc56")
				  or die ("Error en la conexion BAse Datos STATUS");				  
	mysql_select_db("factura_status", $enlace_correo);
 
  $sql_clientes =  "SELECT * FROM clientes";
	
		  	$resf_clientes = mysql_query($sql_clientes,$enlace_correo);	
			$cont_clientes=0;
 while (mysql_fetch_object ($resf_clientes))
	{
				$ip = mysql_result($resf_clientes, $cont_clientes, "ip");
                $base_datos = mysql_result($resf_clientes, $cont_clientes, "base_datos");
     // echo $ip;	   echo $base_datos;         
  if ($ip!='0')
  {  
   // echo $ip;	   echo $base_datos;              
 $enlace = mysql_connect($ip,"mcaceres","mlcc56")
				  or die ("Error en la conexion Base Datos Clientes");				  
	mysql_select_db($base_datos, $enlace);
 
 $facturas_rechazadas='';
//****************************************	
			
	 $sqlfs =  "SELECT empresa, fecha_emision, tipo_dcto, num_dcto,  valida_sii, token FROM salida WHERE (fecha_emision>'$desde' AND fecha_emision<='$hasta') AND (valida_sii='' OR valida_sii=0 OR valida_sii=2) AND ".$doctos;
	//echo  $sqlfs ;	
		  	$resfs = mysql_query($sqlfs,$enlace);	
			$cont=0;
			while (mysql_fetch_object ($resfs))
				{
				$fecha_emision = mysql_result($resfs, $cont, "fecha_emision");
				$tipo_dcto = mysql_result($resfs, $cont, "tipo_dcto");
				$num_dcto = mysql_result($resfs, $cont, "num_dcto");
		    	$id_empresa = mysql_result($resfs, $cont, "empresa");
				$valida_sii = mysql_result($resfs, $cont, "valida_sii");
				$token = mysql_result($resfs, $cont, "token");
				
	/************** Datos Empresa ****************** seleccionar cual empresa *****/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	
	//echo $sql_empresa;
	$res_empresa = mysql_query($sql_empresa,$enlace);
    $rut_empresa=mysql_result($res_empresa, 0, "rut_empresa");
    $nombre=mysql_result($res_empresa, 0, "nombre");
	$cant=0;
	$sql_ver= "SELECT  count(*) as cant FROM status WHERE rut='$rut_empresa'  AND tipo_dcto=$tipo_dcto AND num_dcto=$num_dcto";
		$resf_ver = mysql_query($sql_ver,$enlace);	
		$cant=mysql_result($resf_ver, 0, "cant");
			
	echo $cant;
				
if ($cant==0)	
	{$sql_status= "INSERT INTO status (rut, nombre, fecha, empresa, tipo_dcto, num_dcto, valida, token) VALUES ('$rut_empresa', '$nombre', '$fecha_emision', '$id_empresa', '$tipo_dcto', '$num_dcto', '$valida_sii', '$token');";	
	//echo $sql_status;	
	$res_status = mysql_query($sql_status,$enlace_correo);
	$facturas_rechazadas=$facturas_rechazadas.$tipo_dcto."/".$num_dcto." ";
	}						
	
	
		  		$cont+=1;
			   }  //fin ciclo revisa dctos x empresa
if ($facturas_rechazadas!='')
{

$mail             = new PHPMailer();

//$body             = file_get_contents('contents.html');
//$body             = str_replace("[\]",'',$body);

$mail->IsSMTP(); // telling the class to use SMTP
//$mail->Host       = "mail.comercialandes.cl"; // SMTP server
//$mail->SMTPDebug  = 2;                     // enables SMTP debug information (for testing)
                                           // 1 = errors and messages
                                           // 2 = messages only
$mail->SMTPAuth   = true;                  // enable SMTP authentication
$mail->Host       = 'smtp.softco.cl';         // sets the SMTP server
$mail->Port       = '587';       // set the SMTP port for the GMAIL server
$mail->SMTPSecure = 'tls';       // set the SMTP port for the GMAIL server
$mail->Username   = $correo_cliente;          // SMTP account username
$mail->Password   = 'Mlcc1956';        // SMTP account password

$mail->SetFrom($correo_cliente, '**** FE Status *ERROR*** '.$nombre);      // desde


$mail->Subject    = "Envio Status ";

$mail->MsgHTML($facturas_rechazadas);   //"Facturas rechazadas"$body


 $razon= ' FE Status';
 $address = $correo_cliente;                                     //  hacia 
$mail->AddAddress($address, $razon);

 if(!$mail->Send())
 {
  echo "Mailer Error : " . $mail->ErrorInfo;
  }
   else
  {
  echo "Message sent !";
  }


    } // fin correo
   }	// empresa con IP=0	
  $cont_clientes+=1; 
    } // fin clientes


exit();
//***************  fin *****************	
	
	?>

